<%@Language=JScript%>
<!-- #INCLUDE VIRTUAL="/samples/config/include/utils.runtime6.asp" -->
<!-- #INCLUDE VIRTUAL="/samples/config/include/ado.runtime6.asp" -->

<%
// *****************************************************************************
//
// info/testsql.asp
//
// GoLive design-time support for Microsoft ADO.
//
// ADOBE SYSTEMS INCORPORATED
// Copyright 1999-2002 Adobe Systems Incorporated. All Rights Reserved.
// 
// NOTICE:  Notwithstanding the terms of the Adobe GoLive End User 
// License Agreement, Adobe permits you to reproduce and distribute this 
// file only as an integrated part of a web site created with Adobe 
// GoLive software and only for the purpose of enabling your client to 
// display their web site. All other terms of the Adobe license 
// agreement remain in effect.
// -----------------------------------------------------------------------------

RejectUnauthorizedCallers();

var title = null;
var vsql = request("sql");
var vsrc = request("src");

if (vsrc.Count > 0 && vsql.Count > 0) {
	title = "Results";
	var recordSet = new ActiveXObject("ADODB.RecordSet");
	recordSet.Open(String(vsql), ConnectString(vsrc));
	var csw = WrapRecordSet(recordSet, "block=0");
} else {
	title = "Enter an SQL query.";
	var fso = Server.CreateObject("Scripting.FileSystemObject");
	var folder = fso.GetFolder(server.mapPath(".") + "/../datasources");
	var	error = 0;
	var folderContents = new Enumerator(folder.files);
	var datasources = new Array();

	for (; !folderContents.atEnd(); folderContents.moveNext()) {
		var file = folderContents.item();
		switch(fso.GetExtensionName(file).toUpperCase()) {
			case "MDB":
			case "DSN":
			case "UDL":
			case "XDB":
				datasources[datasources.length] = fso.GetBaseName(file);
				break;
		}
	}
}

var msg = "";

if (vsrc.Count == 0 && vsql.Count == 0) {
	msg += "<form method=\"POST\" action=\"testsql.asp\">\n";
	msg += "<table><tr><td>\n";
	msg += "DataSource name:\n";
	msg += "</td><td>\n";
	msg += "<select name=\"src\">\n";
	for (var i = 0; i < datasources.length; ++i) {
		var db = datasources[i];
		msg += "<option label=\"" + db + "\" value=\"" + db + "\">" + db + "</option>\n";
	}
	msg += "</select>\n";
	msg += "</td></tr><tr><td>\n";
	msg += "Query text:\n";
	msg += "</td><td>\n";
	msg += "<textarea rows=\"5\" cols=\"60\" name=\"sql\" wrap=\"none\">\n";
	msg += "</textarea>\n";
	msg += "</td></tr><tr><td></td><td>\n";
	msg += "<input type=\"submit\" name=\"submit\" value=\"Submit\">\n";
	msg += "<input type=\"reset\" name=\"rest\" value=\"Clear form\">\n";
	msg += "</td></tr></table>\n";
	msg += "</form>\n";
} else if (csw == null) {
	msg += "<h3>Empty results?</h3>\n";
} else {
	msg += "Source: " + vsrc + "<br>\n";
	msg += "SQL: " + vsql + "<br>\n";
	msg += "<h3>\n";
	msg += csw.RecordCount + (csw.RecordCount==1 ? " row " : " rows ");
	var columnCount = csw.Data.Fields.Count;
	msg += columnCount + (columnCount==1 ? " column" : " columns");
	msg += "</h3>\n";
	msg += "<table border=\"1\">\n";
	msg += "<tr>\n";
	msg += "<th valign=\"top\">#</th>\n";
	for (var j = 0; j < columnCount; ++j) {
		var column = csw.Data.Fields.Item(j);
		msg += "<th valign=\"top\">" + column.Name + "</th>\n";
	}
	msg += "</tr>\n";
	for (csw.MoveFirst(); !csw.EOF; csw.MoveNext()) {
		msg += "<tr>\n";
		msg += "<td>" + csw.AbsolutePosition + "</td>\n";
		for (var j = 0; j < columnCount; ++j) {
			var column = csw.Data.Fields.Item(j);
			msg += "<td>" + column.Value + "</td>\n";
		}
		msg += "</tr>\n";
	}
	msg += "</table>\n";
	msg += "<p>\n";
	msg += "<form method='POST'>\n";
	msg += "<input type=\"submit\" value=\"New query\">\n";
	msg += "</form>\n";
}
%>

<html>
	<head>
		<title><%=title%></title>
		<link rel="stylesheet" href="gl.css" type="text/css">
	</head>
	<body>
		<h2><%=title%></h2><p>
		<%=msg%>
		<hr>
		<p>
			When above "DataSource name" does not have information or
			if table or field name is not found, please check
			<a href="troubleshooting.asp">troubleshooting.asp</a>.
		</p>
	</body>
</html>


