/*
 * GoLive
 *
 * ADOBE SYSTEMS INCORPORATED
 * Copyright 2000-2002 Adobe Systems Incorporated. All Rights Reserved.
 * 
 * NOTICE:  Notwithstanding the terms of the Adobe GoLive End User 
 * License Agreement, Adobe permits you to reproduce and distribute this 
 * file only as an integrated part of a web site created with Adobe 
 * GoLive software and only for the purpose of enabling your client to 
 * display their web site. All other terms of the Adobe license 
 * agreement remain in effect.
 */

package com.adobe.gl.taglib6;
import java.io.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import com.adobe.gl.runtime6.utils.*;

public class PageTag extends TagSupport {
	public int doEndTag() {
		return EVAL_PAGE;
	}
	public int doStartTag() {
		this.gl = new GLContext(this.pageContext);
		pageContext.setAttribute(GLContext.GL_NAME, this.gl);
		return EVAL_BODY_INCLUDE;
	}
	public void release() {
		gl.closeAll();
		/* gl.log("I shall be released."); */
		pageContext.removeAttribute(GLContext.GL_NAME);
		super.release();
	}

	private GLContext gl;
};
