<%--
   - GoLive
   -
   - ADOBE SYSTEMS INCORPORATED
   - Copyright 2000-2002 Adobe Systems Incorporated. All Rights Reserved.
   - 
   - NOTICE:  Notwithstanding the terms of the Adobe GoLive End User 
   - License Agreement, Adobe permits you to reproduce and distribute this 
   - file only as an integrated part of a web site created with Adobe 
   - GoLive software and only for the purpose of enabling your client to 
   - display their web site. All other terms of the Adobe license 
   - agreement remain in effect.
  --%>
<%@page session="true"
	import="java.io.*,java.sql.*,java.util.*"
	errorPage="/config/actions/error.jsp"
 %><%@page import="com.adobe.gl.runtime6.utils.*"
 %><%@page contentType="text/html;charset=iso-8859-1"
 %><%@taglib uri="/gl-taglib" prefix="gl"
 %><gl:page id='gl'>
<html>
	<head>
		<meta http-equiv="content-type" content="text/html;charset=iso-8859-1">
		<title>GoLive Dynamic Content server error</title>
<%
	CSWError cse = gl.getError();
	String topLevelError = "";
	if (cse!=null) {
		topLevelError = (String) cse.DollarData().get("$$ERROR");
	}
 %>
	</head>
	<body bgcolor="#ffffff">
		<h1>GoLive Dynamic Content server error</h1>
		Error caused by illegal or unsupported operation.
<%
	if (!"".equals(topLevelError)) {
 %>
		<h2>An execution error occurred.</h2>
		<p><%=topLevelError%></p>
<%
	}
	/* Print out form values as well? */
	int n = cse==null ? 0 : cse.getColumnCount();
 %>
		<table>
			<tr>
<%
	for (int j = 1; j <= n; ++j) {
		String name = cse.getColumnName(j);
 %>
				<th><%=name%></th>
<%
	}
 %>
			</tr>
<%
	if (cse != null)
	for (cse.MoveTo(1); !cse.EOF(); cse.Move(1)) {
 %>
			<tr>
<%
		for (int j = 1; j <= n; ++j) {
			String name = cse.getColumnName(j);
 %>
				<td><%=cse.Value(name)%></td>
<%
		}
 %>
			</tr>
<%
	}
 %>
		</table>
	</body>
</html>
</gl:page>
