<%--
   - GoLive
   -
   - ADOBE SYSTEMS INCORPORATED
   - Copyright 2000-2002 Adobe Systems Incorporated. All Rights Reserved.
   - 
   - NOTICE:  Notwithstanding the terms of the Adobe GoLive End User 
   - License Agreement, Adobe permits you to reproduce and distribute this 
   - file only as an integrated part of a web site created with Adobe 
   - GoLive software and only for the purpose of enabling your client to 
   - display their web site. All other terms of the Adobe license 
   - agreement remain in effect.
  --%>
<%@page session="false"
	import="java.io.*,java.net.*,java.sql.*,java.util.*"
 %><%@page import="com.adobe.gl.runtime6.utils.*"
 %><%@taglib uri="/gl-taglib" prefix="gl"
 %><gl:page id='gl'>
<%
	String title = "Action Debug";
	String redirect =
		(String) gl.getRequest().getAttribute(gl.REDIRECT_NAME);
	Boolean ok =
		(Boolean) gl.getRequest().getAttribute(gl.REDIRECT_OK_NAME);
 %>
<html>
<head>
<title><%=title%></title>
<style><!--
	body {
		background-color: #fffff0;
		margin: 4%;
	}
	h2 {
		color: #333300;
	}
--></style>
</head><body>
<h2><%=title%></h2>
<%	if (ok == null || redirect == null) { %>
<p>
Required request attributes are not present.
<table border='1'>
<tr><th><%=gl.REDIRECT_NAME%></th><td><%=redirect%></td></tr>
<tr><th><%=gl.REDIRECT_OK_NAME%></th><td><%=ok%></td></tr>
</table>
<p>
If you reached this page from a form action (e.g., database update,
CustomMerchant request), please report a bug.
<%	} %>
<%	if (ok != null && ok.booleanValue()) { %>
<p>
You have reached this page from the <b>success</b>
link of the calling page.
<%	} %>
<%	if (ok != null && !ok.booleanValue()) { %>
<p>
You have reached this page from the <b>failure</b>
link of the calling page.
See the debugging information, below, for more details.
<%	} %>
<%	if (redirect != null) { %>
<p>
Click <a href='<%=redirect%>'><%=redirect%></a> to complete the page action.
<%	} %>
<%@include file="/WEB-INF/jspi/footer.jspi"%>
</body></html>
</gl:page>
