<%--
   - GoLive
   -
   - ADOBE SYSTEMS INCORPORATED
   - Copyright 2000-2002 Adobe Systems Incorporated. All Rights Reserved.
   - 
   - NOTICE:  Notwithstanding the terms of the Adobe GoLive End User 
   - License Agreement, Adobe permits you to reproduce and distribute this 
   - file only as an integrated part of a web site created with Adobe 
   - GoLive software and only for the purpose of enabling your client to 
   - display their web site. All other terms of the Adobe license 
   - agreement remain in effect.
  --%>
<%@page session="false"
	contentType="text/html;charset=utf-8"
	errorPage="/config/actions/error.jsp"
 %><%@page import="com.adobe.gl.runtime6.utils.*"
 %><%@taglib uri="/gl-taglib" prefix="gl"
 %><gl:page id="gl"
  ><%
	String title = "Extra Filters demo";
 %>
<html>
<head>
<title><%=title%></title>
<style><!--
	body {
		background-color: #f0fff0;
		color: #003300;
		margin: 4%;
	}
	th {
		background-color: #003300;
		color: #ccffcc;
	}
	td {
		background-color: #ccffcc;
		color: #003300;
	}
	.h3 {
		background-color: #ccffcc;
	}
	h2 {
		align: center;
	}
--></style>
</head><body>
<h2><%=title%></h2>
<h3>Truncate</h3>
<table>
<tr>
<th>GLExtraFilters.truncate(gl, "fsdafssda fdfsda", 10, "...")</th>
<td><%=GLExtraFilters.truncate(gl, "fsdafssda fdfsda", 10, "...")%></td>
</tr><tr>
<th>GLExtraFilters.truncate(gl, "fsdafssda fdfsda", 4, "...")</th>
<td><%=GLExtraFilters.truncate(gl, "fsdafssda fdfsda", 4, "...")%></td>
</tr><tr>
<th>GLExtraFilters.truncate(gl, "fsdafssda fdfsda", 0, "...")</th>
<td><%=GLExtraFilters.truncate(gl, "fsdafssda fdfsda", 0, "...")%></td>
</tr><tr>
<th>GLExtraFilters.truncate(gl, "", 4, "...")</th>
<td><%=GLExtraFilters.truncate(gl, "", 4, "...")%></td>
</tr><tr>
<th>GLExtraFilters.truncate(gl, null, 4, "...")</th>
<td><%=GLExtraFilters.truncate(gl, null, 4, "...")%></td>
</tr><tr>
<th>GLExtraFilters.truncate(gl, GLNull.val, 4, "...")</th>
<td><%=GLExtraFilters.truncate(gl, GLNull.val, 4, "...")%></td>
</tr>
</table>
<h3>re.match</h3>
<table>
<tr>
<th>GLExtraFilters.regExpMatch(gl, "fsdafssda fdfsda", "fsd", false, "fsd", "no fsd")</th>
<td><%=GLExtraFilters.regExpMatch(gl, "fsdafssda fdfsda", "fsd", false, "fsd", "no fsd")%></td>
</tr><tr>
<th>GLExtraFilters.regExpMatch(gl, "fsdafssda fdfsda", "FSD", false, "FSD", "no FSD")</th>
<td><%=GLExtraFilters.regExpMatch(gl, "fsdafssda fdfsda", "FSD", false, "FSD", "no FSD")%></td>
</tr><tr>
<th>GLExtraFilters.regExpMatch(gl, "fsdafssda fdfsda", "FSD", true, "FSD", "no FSD")</th>
<td><%=GLExtraFilters.regExpMatch(gl, "fsdafssda fdfsda", "FSD", true, "FSD", "no FSD")%></td>
</tr><tr>
<th>GLExtraFilters.regExpMatch(gl, "fsdafssda fdfsda",
	"^(f)sd.* ([fd]+).*(a)$",
	false, "{$1} {$c} {$2} {$3} {$4} from {$0}$", "no fsd")
</th>
<td><%=GLExtraFilters.regExpMatch(gl, "fsdafssda fdfsda",
	"^(f)sd.* ([fd]+).*(a)$",
	false, "{$1} {$c} {$2} {$3} {$4} from {$0}$", "no fsd")%>
</td>
</tr>
</table>
<h3>re.replace</h3>
<table>
<tr>
<th>GLExtraFilters.regExpReplace(gl, "This is Like real java", "Like", false, "unlike")</th>
<td><%=GLExtraFilters.regExpReplace(gl, "This is Like real java", "Like", false, "unlike")%></td>
</tr>
<tr>
<th>GLExtraFilters.regExpReplace(gl, "This is Like real java", "like", false, "unlike")</th>
<td><%=GLExtraFilters.regExpReplace(gl, "This is Like real java", "like", false, "unlike")%></td>
</tr>
<tr>
<th>GLExtraFilters.regExpReplace(gl, "This is Like real java", "like", true, "unlike")</th>
<td><%=GLExtraFilters.regExpReplace(gl, "This is Like real java", "like", true, "unlike")%></td>
</tr>
</table>
<%@include file="/WEB-INF/jspi/footer.jspi"%>
</body></html>
</gl:page>
