<%--
   - GoLive
   -
   - ADOBE SYSTEMS INCORPORATED
   - Copyright 2000-2002 Adobe Systems Incorporated. All Rights Reserved.
   - 
   - NOTICE:  Notwithstanding the terms of the Adobe GoLive End User 
   - License Agreement, Adobe permits you to reproduce and distribute this 
   - file only as an integrated part of a web site created with Adobe 
   - GoLive software and only for the purpose of enabling your client to 
   - display their web site. All other terms of the Adobe license 
   - agreement remain in effect.
  --%>
<%@page
	import="java.io.*,java.net.*,java.sql.*,java.util.*"
	errorPage="/config/actions/error.jsp"
 %><%@page import="com.adobe.gl.runtime6.utils.*"
 %><%@page import="com.adobe.gl.runtime6.jdbc.*"
 %><%@taglib uri="/gl-taglib" prefix="gl"
 %><gl:page id='gl'><%
	gl.rejectUnauthorizedCallers();
	String title = "GoLive JDBC Parameters Page.";
	String title2 = null;
	String vsrc = request.getParameter("src");
	String []datasources = null;
	String errmsg = null;

	Properties prx = new Properties();
	Properties feat = new Properties();
set:
    {
	if (vsrc != null) {
		Connection con = null;
		DatabaseMetaData dbmd = null;
		try {
			con = GLJdbc.getConnection(gl, vsrc);
			dbmd = con.getMetaData();
		}
		catch (Exception e) {
			title2 = "Database Access Error:";
			errmsg = e.toString();
			break set;
		}

		String s;

		try { s = NN(dbmd.allProceduresAreCallable()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>allProceduresAreCallable", s);

		try { s = NN(dbmd.allTablesAreSelectable()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>allTablesAreSelectable", s);

		try { s = NN(dbmd.getURL()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>getURL", s);

		try { s = NN(dbmd.getUserName()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>getUserName", s);

		try { s = NN(dbmd.isReadOnly()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>isReadOnly", s);

		try { s = NN(dbmd.nullsAreSortedHigh()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>nullsAreSortedHigh", s);

		try { s = NN(dbmd.nullsAreSortedLow()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>nullsAreSortedLow", s);

		try { s = NN(dbmd.nullsAreSortedAtStart()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>nullsAreSortedAtStart", s);

		try { s = NN(dbmd.nullsAreSortedAtEnd()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>nullsAreSortedAtEnd", s);

		try { s = NN(dbmd.getDatabaseProductName()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>getDatabaseProductName", s);

		try { s = NN(dbmd.getDatabaseProductVersion()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>getDatabaseProductVersion", s);

		try { s = NN(dbmd.getDriverName()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>getDriverName", s);

		try { s = NN(dbmd.getDriverVersion()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>getDriverVersion", s);

		s = NN(dbmd.getDriverMajorVersion());
		prx.setProperty("Prop<br>getDriverMajorVersion", s);

		s = NN(dbmd.getDriverMinorVersion());
		prx.setProperty("Prop<br>getDriverMinorVersion", s);

		try { s = NN(dbmd.allProceduresAreCallable()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>allProceduresAreCallable", s);

		try { s = NN(dbmd.usesLocalFiles()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>usesLocalFiles", s);

		try { s = NN(dbmd.usesLocalFilePerTable()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>usesLocalFilePerTable", s);

		try { s = NN(dbmd.supportsMixedCaseIdentifiers()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>supportsMixedCaseIdentifiers", s);

		try { s = NN(dbmd.storesLowerCaseIdentifiers()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>storesLowerCaseIdentifiers", s);

		try { s = NN(dbmd.storesMixedCaseIdentifiers()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>storesMixedCaseIdentifiers", s);

		try { s = NN(dbmd.storesUpperCaseIdentifiers()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>storesUpperCaseIdentifiers", s);

		try { s = NN(dbmd.supportsMixedCaseQuotedIdentifiers()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>supportsMixedCaseQuotedIdentifiers",
			s);

		try { s = NN(dbmd.storesLowerCaseIdentifiers()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>storesLowerCaseQuotedIdentifiers", s);

		try { s = NN(dbmd.storesMixedCaseQuotedIdentifiers()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>storesMixedCaseQuotedIdentifiers", s);

		try { s = NN(dbmd.storesUpperCaseQuotedIdentifiers()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>storesUpperCaseQuotedIdentifiers", s);

		try { s = NN(dbmd.getIdentifierQuoteString()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>getIdentifierQuoteString", s);

		try { s = NN(dbmd.getSQLKeywords()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>getSQLKeywords", s);

		try { s = NN(dbmd.getNumericFunctions()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>getNumericFunctions", s);

		try { s = NN(dbmd.getStringFunctions()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>getStringFunctions", s);

		try { s = NN(dbmd.getSystemFunctions()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>getSystemFunctions", s);

		try { s = NN(dbmd.getTimeDateFunctions()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>getTimeDateFunctions", s);

		try { s = NN(dbmd.getSearchStringEscape()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>getSearchStringEscape", s);

		try { s = NN(dbmd.getExtraNameCharacters()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>getExtraNameCharacters", s);

		try { s = NN(dbmd.getSchemaTerm()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>getSchemaTerm", s);

		try { s = NN(dbmd.getProcedureTerm()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>getProcedureTerm", s);

		try { s = NN(dbmd.getCatalogTerm()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>getCatalogTerm", s);

		try { s = NN(dbmd.isCatalogAtStart()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>isCatalogAtStart", s);

		try { s = NN(dbmd.getCatalogSeparator()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>getCatalogSeparator", s);

		try { s = NN(dbmd.getDefaultTransactionIsolation()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Prop<br>getDefaultTransactionIsolation", s);

		try { s = NN(dbmd.supportsAlterTableWithDropColumn()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsAlterTableWithDropColumn",
			s);

		try { s = NN(dbmd.supportsColumnAliasing()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsColumnAliasing", s);

		try { s = NN(dbmd.nullPlusNonNullIsNull()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>nullPlusNonNullIsNull", s);

		try { s = NN(dbmd.supportsConvert()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsConvert", s);

		try { s = NN(dbmd.supportsTableCorrelationNames()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsTableCorrelationNames", s);

		try { s = NN(dbmd.supportsDifferentTableCorrelationNames()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty(
			"Feature<br>supportsDifferentTableCorrelationNames", s);

		try { s = NN(dbmd.supportsExpressionsInOrderBy()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsExpressionsInOrderBy", s);

		try { s = NN(dbmd.supportsOrderByUnrelated()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsAlterTableWithDropColumn",
			s);

		try { s = NN(dbmd.supportsGroupBy()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsGroupBy", s);

		try { s = NN(dbmd.supportsGroupByUnrelated()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsGroupByUnrelated", s);

		try { s = NN(dbmd.supportsGroupByBeyondSelect()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsGroupByBeyondSelect", s);

		try { s = NN(dbmd.supportsLikeEscapeClause()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsLikeEscapeClause", s);

		try { s = NN(dbmd.supportsMultipleResultSets()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsMultipleResultSets", s);

		try { s = NN(dbmd.supportsMultipleTransactions()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsMultipleTransactions", s);

		try { s = NN(dbmd.supportsNonNullableColumns()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsNonNullableColumns", s);

		try { s = NN(dbmd.supportsMinimumSQLGrammar()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsMinimumSQLGrammar", s);

		try { s = NN(dbmd.supportsANSI92EntryLevelSQL()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsANSI92EntryLevelSQL", s);

		try { s = NN(dbmd.supportsANSI92IntermediateSQL()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsANSI92IntermediateSQL", s);

		try { s = NN(dbmd.supportsANSI92FullSQL()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsANSI92FullSQL", s);

		try { s = NN(dbmd.supportsIntegrityEnhancementFacility()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty(
			"Feature<br>supportsIntegrityEnhancementFacility", s);

		try { s = NN(dbmd.supportsOuterJoins()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsOuterJoins", s);

		try { s = NN(dbmd.supportsFullOuterJoins()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsFullOuterJoins", s);

		try { s = NN(dbmd.supportsLimitedOuterJoins()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsLimitedOuterJoins", s);

		try { s = NN(dbmd.supportsSchemasInDataManipulation()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsSchemasInDataManipulation",
			s);

		try { s = NN(dbmd.supportsSchemasInProcedureCalls()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsSchemasInProcedureCalls",
			s);

		try { s = NN(dbmd.supportsSchemasInTableDefinitions()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsSchemasInTableDefinitions",
			s);

		try { s = NN(dbmd.supportsSchemasInIndexDefinitions()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsSchemasInIndexDefinitions",
			s);

		try { s = NN(dbmd.supportsSchemasInPrivilegeDefinitions()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty(
			"Feature<br>supportsSchemasInPrivilegeDefinitions",
			s);

		try { s = NN(dbmd.supportsCatalogsInDataManipulation()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsCatalogsInDataManipulation",
			s);

		try { s = NN(dbmd.supportsCatalogsInProcedureCalls()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsCatalogsInProcedureCalls",
			s);

		try { s = NN(dbmd.supportsCatalogsInTableDefinitions()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsCatalogsInTableDefinitions",
			s);

		try { s = NN(dbmd.supportsCatalogsInIndexDefinitions()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsCatalogsInIndexDefinitions",
			s);

		try { s = NN(dbmd.supportsCatalogsInPrivilegeDefinitions()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty(
			"Feature<br>supportsCatalogsInPrivilegeDefinitions",
			s);

		try { s = NN(dbmd.supportsPositionedDelete()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsPositionedDelete", s);

		try { s = NN(dbmd.supportsPositionedUpdate()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsPositionedUpdate", s);

		try { s = NN(dbmd.supportsStoredProcedures()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsStoredProcedures", s);

		try { s = NN(dbmd.supportsSubqueriesInComparisons()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsSubqueriesInComparisons",
			s);

		try { s = NN(dbmd.supportsSubqueriesInExists()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsSubqueriesInExists", s);

		try { s = NN(dbmd.supportsSubqueriesInIns()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsSubqueriesInIns", s);

		try { s = NN(dbmd.supportsSubqueriesInQuantifieds()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsSubqueriesInQuantifieds",
			s);

		try { s = NN(dbmd.supportsCorrelatedSubqueries()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsCorrelatedSubqueries", s);

		try { s = NN(dbmd.supportsUnion()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsUnion", s);

		try { s = NN(dbmd.supportsUnionAll()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsUnionAll", s);

		try { s = NN(dbmd.supportsOpenCursorsAcrossCommit()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsOpenCursorsAcrossCommit",
			s);

		try { s = NN(dbmd.supportsOpenCursorsAcrossRollback()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsOpenCursorsAcrossRollback",
			s);

		try { s = NN(dbmd.supportsOpenStatementsAcrossCommit()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsOpenStatementsAcrossCommit",
			s);

		try { s = NN(dbmd.supportsOpenStatementsAcrossRollback()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty(
			"Feature<br>supportsOpenStatementsAcrossRollback",
			s);

		try { s = NN(dbmd.supportsTransactions()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Feature<br>supportsTransactions", s);

		for (int i = 0; i < 5; ++i) {
			try { s = NN(dbmd.supportsTransactionIsolationLevel(
				i));
			}
			catch (SQLException e) { s = X(e); }
			prx.setProperty(
				"Feature<br>supportsTransactionIsolationLevel"
				+i,
				s);
		}

		try { s = NN(dbmd.getMaxBinaryLiteralLength()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Limit<br>getMaxBinaryLiteralLength", s);

		try { s = NN(dbmd.getMaxCharLiteralLength()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Limit<br>getMaxCharLiteralLength", s);

		try { s = NN(dbmd.getMaxColumnNameLength()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Limit<br>getMaxColumnNameLength", s);

		try { s = NN(dbmd.getMaxColumnsInGroupBy()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Limit<br>getMaxColumnsInGroupBy", s);

		try { s = NN(dbmd.getMaxColumnsInIndex()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Limit<br>getMaxColumnsInIndex", s);

		try { s = NN(dbmd.getMaxColumnsInOrderBy()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Limit<br>getMaxColumnsInOrderBy", s);

		try { s = NN(dbmd.getMaxColumnsInSelect()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Limit<br>getMaxColumnsInSelect", s);

		try { s = NN(dbmd.getMaxColumnsInTable()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Limit<br>getMaxColumnsInTable", s);

		try { s = NN(dbmd.getMaxConnections()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Limit<br>getMaxConnections", s);

		try { s = NN(dbmd.getMaxCursorNameLength()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Limit<br>getMaxCursorNameLength", s);

		try { s = NN(dbmd.getMaxIndexLength()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Limit<br>getMaxIndexLength", s);

		try { s = NN(dbmd.getMaxSchemaNameLength()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Limit<br>getMaxSchemaNameLength", s);

		try { s = NN(dbmd.getMaxProcedureNameLength()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Limit<br>getMaxProcedureNameLength", s);

		try { s = NN(dbmd.getMaxCatalogNameLength()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Limit<br>getMaxCatalogNameLength", s);

		try { s = NN(dbmd.getMaxRowSize()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Limit<br>getMaxRowSize", s);

		try { s = NN(dbmd.getMaxStatementLength()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Limit<br>getMaxStatementLength", s);

		try { s = NN(dbmd.getMaxStatements()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Limit<br>getMaxStatements", s);

		try { s = NN(dbmd.getMaxTableNameLength()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Limit<br>getMaxTableNameLength", s);

		try { s = NN(dbmd.getMaxTablesInSelect()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Limit<br>getMaxTablesInSelect", s);

		try { s = NN(dbmd.getMaxUserNameLength()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("Limit<br>getMaxUserNameLength", s);

		try { s = "" +
		dbmd.supportsDataDefinitionAndDataManipulationTransactions(); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("DDL Feature<br>supportsDataDefinitionAnd\\<br>"
			+ "DataManipulationTransactions", s);

		try { s = NN(dbmd.supportsDataManipulationTransactionsOnly());
		}
		catch (SQLException e) { s = X(e); }
		prx.setProperty("DDL Feature<br>supportsDataManipulation\\<br>"
			+ "TransactionsOnly", s);

		try { s = NN(dbmd.dataDefinitionCausesTransactionCommit()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("DDL Feature<br>dataDefinition"
			+ "CausesTransactionCommit", s);

		try { s = NN(dbmd.dataDefinitionIgnoredInTransactions()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("DDL Feature<br>dataDefinition"
			+ "IgnoredInTransactions", s);

		try { s = NN(dbmd.supportsBatchUpdates()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("2.0 Core Feature<br>supportsBatchUpdates", s);

		for (int i = 0; i < rstype.length; ++i) {
			try { s = NN(dbmd.supportsResultSetType(rstype[i])); }
			catch (SQLException e) { s = X(e); }
			prx.setProperty(
				"2.0 Core Feature<br>supportsResultSetType "
					+ rstypename[i], s);
		}

		for (int i = 0; i < rstype.length; ++i)
			for (int j = 0; j < rscc.length; ++j) {
				try { s = "" +
					dbmd.supportsResultSetConcurrency(
						rstype[i], rscc[j]);
				}
				catch (SQLException e) { s = X(e); }
				prx.setProperty("2.0 Core Feature<br>"
					+ "supportsResultSetConcurrency "
					+ rstypename[i] + rsccname[j], s);
			}

		for (int i = 0; i < rstype.length; ++i) {
			try { s = NN(dbmd.deletesAreDetected(rstype[i])); }
			catch (SQLException e) { s = X(e); }
			prx.setProperty(
				"2.0 Core Feature<br>deletesAreDetected "
					+ rstypename[i], s);
		}

		for (int i = 0; i < rstype.length; ++i) {
			try { s = NN(dbmd.insertsAreDetected(rstype[i])); }
			catch (SQLException e) { s = X(e); }
			prx.setProperty(
				"2.0 Core Feature<br>insertsAreDetected "
					+ rstypename[i], s);
		}

		for (int i = 0; i < rstype.length; ++i) {
			try { s = NN(dbmd.updatesAreDetected(rstype[i])); }
			catch (SQLException e) { s = X(e); }
			prx.setProperty(
				"2.0 Core Feature<br>updatesAreDetected "
					+ rstypename[i], s);
		}

		for (int i = 0; i < rstype.length; ++i) {
			try { s = NN(dbmd.othersDeletesAreVisible(rstype[i]));
			}
			catch (SQLException e) { s = X(e); }
			prx.setProperty(
				"2.0 Core Feature<br>othersDeletesAreVisible "
					+ rstypename[i], s);
		}

		for (int i = 0; i < rstype.length; ++i) {
			try { s = NN(dbmd.othersInsertsAreVisible(rstype[i]));
			}
			catch (SQLException e) { s = X(e); }
			prx.setProperty(
				"2.0 Core Feature<br>othersInsertsAreVisible "
					+ rstypename[i], s);
		}

		for (int i = 0; i < rstype.length; ++i) {
			try { s = NN(dbmd.othersUpdatesAreVisible(rstype[i]));
			}
			catch (SQLException e) { s = X(e); }
			prx.setProperty(
				"2.0 Core Feature<br>ownUpdatesAreVisible "
					+ rstypename[i], s);
		}

		for (int i = 0; i < rstype.length; ++i) {
			try { s = NN(dbmd.ownDeletesAreVisible(rstype[i])); }
			catch (SQLException e) { s = X(e); }
			prx.setProperty(
				"2.0 Core Feature<br>ownDeletesAreVisible "
					+ rstypename[i], s);
		}

		for (int i = 0; i < rstype.length; ++i) {
			try { s = NN(dbmd.ownInsertsAreVisible(rstype[i])); }
			catch (SQLException e) { s = X(e); }
			prx.setProperty(
				"2.0 Core Feature<br>ownInsertsAreVisible "
					+ rstypename[i], s);
		}

		for (int i = 0; i < rstype.length; ++i) {
			try { s = NN(dbmd.ownUpdatesAreVisible(rstype[i])); }
			catch (SQLException e) { s = X(e); }
			prx.setProperty(
				"2.0 Core Feature<br>ownUpdatesAreVisible "
					+ rstypename[i], s);
		}

		try { s = NN(dbmd.supportsBatchUpdates()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("2.0 Core Feature<br>supportsBatchUpdates", s);

		try { s = NN(dbmd.supportsBatchUpdates()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("2.0 Core Feature<br>supportsBatchUpdates", s);

		try { s = NN(dbmd.supportsBatchUpdates()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("2.0 Core Feature<br>supportsBatchUpdates", s);

		try { s = NN(dbmd.supportsBatchUpdates()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("2.0 Core Feature<br>supportsBatchUpdates", s);

		try { s = NN(dbmd.supportsBatchUpdates()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("2.0 Core Feature<br>supportsBatchUpdates", s);

		try { s = NN(dbmd.supportsBatchUpdates()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("2.0 Core Feature<br>supportsBatchUpdates", s);

		try { s = NN(dbmd.supportsBatchUpdates()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("2.0 Core Feature<br>supportsBatchUpdates", s);

		try { s = NN(dbmd.supportsBatchUpdates()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("2.0 Core Feature<br>supportsBatchUpdates", s);

		try { s = NN(dbmd.supportsBatchUpdates()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("2.0 Core Feature<br>supportsBatchUpdates", s);

		try { s = NN(dbmd.supportsBatchUpdates()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("2.0 Core Feature<br>supportsBatchUpdates", s);

		try { s = NN(dbmd.supportsBatchUpdates()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("2.0 Core Feature<br>supportsBatchUpdates", s);

		try { s = NN(dbmd.supportsBatchUpdates()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("2.0 Core Feature<br>supportsBatchUpdates", s);

		try { s = NN(dbmd.supportsBatchUpdates()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("2.0 Core Feature<br>supportsBatchUpdates", s);

		try { s = NN(dbmd.supportsBatchUpdates()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("2.0 Core Feature<br>supportsBatchUpdates", s);

		try { s = NN(dbmd.supportsBatchUpdates()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("2.0 Core Feature<br>supportsBatchUpdates", s);

		try { s = NN(dbmd.supportsBatchUpdates()); }
		catch (SQLException e) { s = X(e); }
		prx.setProperty("2.0 Core Feature<br>supportsBatchUpdates", s);

		title2 = "Results:";
	}
	else {
		datasources = GLJdbc.getDataSources(gl, false);
		title2 = "Select a data source:";
	}
    }
 %>
<html><head>
<title><%=title%></title>
<link rel="stylesheet" href="gl.css" type="text/css">
</head><body>
<h1><%=title%></h1>
<h3><%=title2%></h3>
<%
	if (vsrc == null) {
 %>
<form method="POST">
<table><tr><td>
Database name:
</td><td>
<select name="src">
<%
		for (int i = 0; i < datasources.length; ++i) {
			String db = datasources[i];
 %>
<option label='<%=db%>' value='<%=db%>'><%=db%></option>
<%
		}
 %>
</select>
</td>
</tr><tr><td></td><td>
<input type="submit" name="submit" value="Submit">
<input type="reset" name="rest" value="Clear form">
</td></tr></table>
</form>
<hr>
<p>
If the "Database name" pulldown contains no items,
please check the
<a href="troubleshooting.jsp">Adobe GoLive (JSP) Troubleshooting Report</a>.
</p>
<%
	}
	else if (errmsg != null) {
 %>
Source: <%=vsrc%><br>
Error message:
<pre>
<%=GLUtils.htmlEncode(errmsg)%>
</pre>
<p>
<form method="POST">
<input type="submit" value="New query">
</form>
<%
	}
	else {
 %>
Source: <%=vsrc%><br>
<table border="1">
<%
		String[] keys = GLUtils.hkeys(prx);
		Arrays.sort(keys);
		for (int i = 0; i < keys.length; ++i) {
			String name = keys[i];
			String value = prx.getProperty(name);
			String showval = showable(GLUtils.htmlEncode(
				commas(value)));
 %>
<tr>
<th><%=name%></th><td class='results'><%=showval%></td>
<tr>
<%
		}
 %>
</table>
<p>
<form method="POST">
<input type="submit" value="New query">
</form>
<%
	}
%>
<%@include file="/WEB-INF/jspi/footer.jspi"%>
</body></html></gl:page>
<%!
	private static String
	commas(String s) {
		return s.indexOf(",") < 0 ? s : GLUtils.replace(s, ",", ", ");
	}
	private static String
	NN(boolean b) {
		return ""+b;
	}
	private static String
	NN(int z) {
		return ""+z;
	}
	private static String
	NN(Object o) {
		return o==null ? _N + "null" : o.toString();
	}
	/**
	 * Converts string into a version that's browser-friendly.
	 * Secret format effectors become &lt;span&gt; class tags,
	 * and empty strings become visible.
	 */
	private static String
	showable(String s) {
		if (s.startsWith(_X))
			return "<span class='X'>"
				+ showable(s.substring(_X.length()))
				+ "</span>";
		if (s.startsWith(_N))
			return "<span class='N'>"
				+ showable(s.substring(_N.length()))
				+ "</span>";
		if ("".equals(s))
			return showable(_N+"empty");
		for (int i = s.length(); --i >= 0;)
			if (!Character.isWhitespace(s.charAt(i)))
				return s;
		/* It's all whitespace. */
		return "&nbsp;<!--" + s + "-->";
	}
	private static String
	X(Throwable e) {
		return _X+e.toString();
	}

	private static final int rscc[] = {
		ResultSet.CONCUR_READ_ONLY,
		ResultSet.CONCUR_UPDATABLE,
	};
	private static final String rsccname[] = {
		" (concur-RO)",
		" (concur-RW)",
	};
	private static final int rstype[] = {
		ResultSet.TYPE_FORWARD_ONLY,
		ResultSet.TYPE_SCROLL_INSENSITIVE,
		ResultSet.TYPE_SCROLL_SENSITIVE,
	};
	private static final String rstypename[] = {
		" (forward-only)",
		" (scroll-insensitive)",
		" (scroll-sensitive)",
	};
	private static final String _N = "\001";
	private static final String _X = "\002";
%>
