<?php
/*
 * GoLive
 *
 * ADOBE SYSTEMS INCORPORATED
 * Copyright 2000-2002 Adobe Systems Incorporated. All Rights Reserved.
 * 
 * NOTICE:  Notwithstanding the terms of the Adobe GoLive End User 
 * License Agreement, Adobe permits you to reproduce and distribute this 
 * file only as an integrated part of a web site created with Adobe 
 * GoLive software and only for the purpose of enabling your client to 
 * display their web site. All other terms of the Adobe license 
 * agreement remain in effect.
 */
 ?>
<html>
	<head>
		<title><?php echo $title?></title>
		<link rel="stylesheet" href="gl.css" type="text/css">
	</head>
	<body>
		<h2><?php echo $title?></h2><p>
		<form method='POST'>
		<table><tr>
			<td>Data source name:</td>
			<td><select name='src'>
<?php
		$a = dsnames();
		reset($a);
		while (list(,$db) = each($a)) {
 ?>
<option label='<?php echo $db ?>' value='<?php echo $db ?>'>
<?php echo $db ?></option>
<?php
		}
 ?>
			</select></td>
		</tr><tr>
			<td>Query text:</td>
			<td><textarea rows='5' cols='60' name='sql' wrap='none'></textarea></td>
		</tr><tr>
			<td></td>
			<td><input type='submit' name='submit' value='submit'></td>
			<td><input type='reset' name='reset' value='Clear form'></td>
		</tr></table>
		</form>
		<hr>
		<p>
			If the "Data source name" pulldown contains no items,
			or you are not sure of a table or field name,
			please check the
			<a href="troubleshooting.php">Adobe GoLive 
			 (PHP) Troubleshooting Report</a>.
		</p>
	</body>
</html>
