<%@LANGUAGE="JScript" %>
<%

//
// Support for Customizable UI for DynamicLink
//
// ADOBE SYSTEMS INCORPORATED
// Copyright 2000-2002 Adobe Systems Incorporated. All Rights Reserved.
// 
// NOTICE:  Notwithstanding the terms of the Adobe GoLive End User 
// License Agreement, Adobe permits you to reproduce and distribute this 
// file only as an integrated part of a web site created with Adobe 
// GoLive software and only for the purpose of enabling your client to 
// display their web site. All other terms of the Adobe license 
// agreement remain in effect.
//

Response.Buffer = false;
Response.ContentType = "text/xml";
Response.CharSet = "windows-" + Session.CodePage;

var fso = new ActiveXObject("Scripting.FileSystemObject");

var thisFilename = Request.ServerVariables("PATH_TRANSLATED");
var foldername = fso.GetParentFolderName(thisFilename);
var infoFolder = fso.GetFolder(foldername);

var packages = new Array;
packages.size = 0;

var e = new Enumerator(infoFolder.Files);
for (; !e.atEnd(); e.moveNext()) {
	var thisFile = e.item();
	if (thisFile.Name.match(/(.*)\.ui(\d+)\.xml/)) {
		var thisPackageName = RegExp.$1;
		var thisPackageVersion = Number(RegExp.$2);
		if (thisPackageVersion > 100) {
			thisPackageVersion /= 100;
		} else if (thisPackageVersion > 10) {
			thisPackageVersion /= 10;
		}

		if (thisPackageVersion > 6.0) {
			continue;
		}

		var found = false;
		for (var i = 0; i < packages.size; i++) {
			var package = packages[i];
			if (package.name == thisPackageName) {
				found = true;
				if (thisPackageVersion > package.version) {
					package.version = thisPackageVersion;
					package.fullname = thisFile.Name;
					package.path = thisFile.Path;
				}
			}
		}
		if (!found) {
			var package = new Object;
			package.name = thisPackageName;
			package.version = thisPackageVersion;
			package.fullname = thisFile.Name;
			package.path = thisFile.Path;
			packages[packages.size++] = package;
		}
	}
}

var doc = new ActiveXObject("Microsoft.XMLDOM");
doc.async = false;

Response.Write("<ui6>\n\n\n");
for (var i = 0; i < packages.size; i++) {
	var package = packages[i];
	Response.Write("\n\n<!-- " + package.fullname + " -->\n\n");
	doc.load(package.path);
	Response.Write(doc.xml);
}
Response.Write("</ui6>\n");

%>


