/*
 * GoLive
 *
 * ADOBE SYSTEMS INCORPORATED
 * Copyright 2000-2002 Adobe Systems Incorporated. All Rights Reserved.
 * 
 * NOTICE:  Notwithstanding the terms of the Adobe GoLive End User 
 * License Agreement, Adobe permits you to reproduce and distribute this 
 * file only as an integrated part of a web site created with Adobe 
 * GoLive software and only for the purpose of enabling your client to 
 * display their web site. All other terms of the Adobe license 
 * agreement remain in effect.
 */

package com.adobe.gl.runtime6.utils;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import java.beans.*;
import java.io.*;
import java.net.*;
import java.sql.*;
import java.util.*;

public class GLHttp {
	public static InputStream
	asStream(String surl)
		throws GLException
	{
		InputStream in = null;
		try {
			URL url = new URL(surl);
			URLConnection uc = url.openConnection();
			if (uc instanceof HttpURLConnection) {
				HttpURLConnection jc = (HttpURLConnection) uc;
				jc.setIfModifiedSince((long) 42);
				jc.setUseCaches(false);
				jc.setFollowRedirects(true);
			}
			in = uc.getInputStream();
		}
		catch (Exception e) {
			e.printStackTrace();
			throw new GLException(e.toString());
		}
		return in;
	}
};
