<%--
   - GoLive
   -
   - ADOBE SYSTEMS INCORPORATED
   - Copyright 2000-2002 Adobe Systems Incorporated. All Rights Reserved.
   - 
   - NOTICE:  Notwithstanding the terms of the Adobe GoLive End User 
   - License Agreement, Adobe permits you to reproduce and distribute this 
   - file only as an integrated part of a web site created with Adobe 
   - GoLive software and only for the purpose of enabling your client to 
   - display their web site. All other terms of the Adobe license 
   - agreement remain in effect.
  --%>
<%@page session="false"
	import="java.io.*,java.net.*,java.sql.*,java.util.*"
	isErrorPage="true"
 %><%@page import="com.adobe.gl.runtime6.utils.*"
 %><%@taglib uri="/gl-taglib" prefix="gl"
 %><gl:page id='gl'><%
			gl.exception = exception;
			GLDebug debug = GLDebug.getInstance(gl);
			if (debug.err != 0)
				response.setStatus(debug.err);
 %>
<html>
<head>
<title>Error <%=debug.err%>.</title>
<style><!--
	body {
		background-color: #ffcccc;
		margin: 4%;
	}
	h2 {
		color: #330000;
	}
--></style>
</head><body>
<h2>Error <%=debug.err%>: <%=errstr(debug.err)%>.</h2>
<%
			if (debug.advise) {
 %>
<p>
An error has occurred while processing this page.
<p>
Please provide this site's administrator
<a href="mailto:<%=debug.admin_email%>"><%=debug.admin_email%></a>
with the URL of this page<br>
and the error log ID:
<%=debug.logName%>
<%
			}
 %>
<%@include file="/WEB-INF/jspi/footer.jspi"%>
</body></html>
</gl:page>
<%!
		private static String
		errstr(int err) {
			String es = "";
			switch (err) {
			case 0:
				es = "(No error)";
				break;
			case 500:
				es = "Internal error";
				break;
			case 403:
				es = "Forbidden";
				break;
			case 404:
				es = "File not found";
				break;
			}
			return es;
		}
 %>
